FROM python:3.11-slim

RUN apt-get update && apt-get install -y \
    git \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /app

COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

RUN git config --global user.email "gitea@yorgei.com"
RUN git config --global user.name "Yorgei"

CMD ["python", "download_and_compare.py"]
